---
{{ template "common.ConfigMap" (list . "loki.ConfigMap") }}

{{- define "loki.ConfigMap" }}
metadata:
  name: {{ template "common.fullname" . }}-config
data:
  loki.yaml: |
    auth_enabled: false

    server:
      http_listen_port: 3100

    common:
      replication_factor: 1
      path_prefix: /data
      ring:
        instance_addr: 127.0.0.1
        kvstore:
          store: inmemory

    storage_config:
      filesystem:
        directory: /data/chunks

    schema_config:
      configs:
        - from: 1970-01-01
          store: tsdb
          object_store: filesystem
          schema: v13
          index:
            prefix: index_
            period: 24h
{{- end }}
